Bug 843061 - Creating repo no longer works when Product name has multibyte text
Creating repo no longer works when Product name has multibyte text
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Partha Aji
Corey Welton
: Regression, Triaged
Depends On:
Blocks: cfse-object-labels/katello-object-label
  Show dependency treegraph
 
Reported: 2012-07-25 09:23 EDT by Corey Welton
Modified: 2014-09-18 12:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine could not create repositories if the product or the repository name contained multi-byte text. This fix introduces the use of ASCII labels for resource identification. Names now use multi-byte characters without error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-07-25 09:23:00 EDT
Description of problem:

Attempting to create a repo with multibyte characters fails.
This is a regression - see bug #747827, and possibly others.


Version-Release number of selected component (if applicable):
Katello Version: 0.2.49-1.git.2.b978990.el6_3

How reproducible:


Steps to Reproduce:
1. Create a provider, "Google" and a Product, "谷歌地球"
2. Attempt to create a repo, "谷歌地球 - x86_64" with an URL of http://dl.google.com/linux/earth/rpm/stable/x86_64
3.  Note the error, attempt to simply use "谷歌地球" (or any other multibyte character set for that matter)
4.  Observe error 
Actual results:

Any attempt to use a multibyte string in a repo name results in error:

Validation Failed:
Text is too long (maximum is 1024 characters)

Expected results:
User can enter multibyte characters...

Additional info:
Comment 1 Corey Welton 2012-07-25 09:46:09 EDT
So actually it appears that repos cannot be created at all if the product itself has multibyte text -- OR if the repo itself has multibyte.



So to recap:
Multibyte Product name: Creation of both ascii and multibyte repos fail
ascii product name: 
Ascii Product name: Creation of ascii repo works, but multibyte repo fails with same error.
Comment 5 Og Maciel 2012-09-17 15:13:25 EDT
BLOCKED by https://bugzilla.redhat.com/show_bug.cgi?id=858011
Comment 6 Mike McCune 2012-09-19 14:03:21 EDT
https://github.com/Katello/katello/pull/705
Comment 7 Brad Buckingham 2012-09-21 09:15:42 EDT
https://github.com/Katello/katello/pull/726
Comment 10 Corey Welton 2012-10-03 15:41:32 EDT
QE Verified


Product:  谷歌地球
Repository:  谷歌地球 - x86_64

CloudForms System Engine Version: 1.1.12-12.el6cf
Comment 12 errata-xmlrpc 2012-12-04 14:48:12 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.